## Run analysis of tree to see likely lambdas by simulation
estLambda <- function(tr, obs.ext, xti, rep = 10000,
                      ll = seq(0.96, 1.0, by=0.01)){
  phat<- array(dim = length(ll))
  cat('total number of terminals =', length(tr$tip.label), '\n')
  cat ('lambda values to test:', ll, '\n')
  cat('nreps =', rep, '\n')
  cat('observed extinction intensity =', xti, '\n')
  cat('maximal extinct clades:', obs.ext, '\n')
  cat('begun', date(), '\n\n')

  for (k in 1:length(ll)){
    cat ('lambda =', ll[k])
    nhit<- 0 
  
    for (i in 1:rep){
      if (i%%(rep/10) == 0) cat('.')
      w <- lop.tree(tr, lambda = ll[k], xti = xti,
                    draw = FALSE, verbose = FALSE) 
      sdd <- sort(w$dead.distr, dec=TRUE)
      #cat('\n', sdd)
      if (identical(as.numeric(sdd), obs.ext)) nhit<- nhit+1
    }

    phat[k]<- nhit/rep
    cat(nhit, '\n')
  }
  cat('ended', date(), '\n')
  return(phat)
}